Subject: Re: draft-manral-ospf-router-lsa-unknown-type-02

From: Vishwas Manral <[email-masked]>
Date: Thu, 27 Jan 2005 03:31:52 -0800

Hi Mitchell,

From the holistic perspective it is clear that we should not calculate
SPF if we know it will not cause any change in the Shortest Path Tree
and that is where (I guess everyone is coming from).

However I agree Section 13.2 talks about the always calculating the
routes from the beginning, if a router LSA's content changes. It also
tells of conditions in which case SPF calculation is not done. 
"The contents of the new LSA should be compared to the old instance, if
present. If there is no difference, there is no need to recalculate the
routing table."

I agree we should specify that a change in the type should not cause the
SPF to be run again, and that should be specified as an exceptional
condition. I agree it's a good point.

Thanks,
Vishwas
-----Original Message-----
From: Mailing List [mailto:[email-masked]] On Behalf Of
Erblichs
Sent: Thursday, January 27, 2005 7:04 AM
To: [email-masked]
Subject: Re: draft-manral-ospf-router-lsa-unknown-type-02

Joel Halpern,

	I did NOT write the OSPF spec.. I am just reading what it
	says and it is incorrect with respect to unknown link-types.

	The spec says that if the LSA body has changed, trigger
	a SPF calc..

	* Adding a unknown link-type to a Router LSA that
	  didn't previously have one,

	* Removing a unknown link-type,,,

	* Adding additional unknowns...

	* Changing a unknown from one unknown to another unknown..

	All these are changes to the LSA body and would
	nessitate a SPF calc according to the SPEC. Since,
	we are addressing unknowns within this draft RFC, I
	would expect us to specify this an an exception to
	the section, 13.2..

	Mitchell Erblich
	----------------

"Joel M. Halpern" wrote:
> 
> Remember that the implementation of the calculation is a local matter.
> In this case, the implementation can be "use the previous result" and
it
> will still be consistent with the spec.
> 
> Yours,
> Joel M. Halpern
> 
> At 04:02 PM 1/26/2005, you wrote:
> >         By flooding the Router LSAs with unknown link-types
> >         any change with one unknown, the withdrawl of the
> >         unknown, etc.. will trigger SPF calculations..
> >
> >         The end result can't change, but must be run to
> >         be in Spec with the RFC. Do you really suggest running
> >         additional SPF calcs when the end result is the
> >         same??????